Loading...
Searching...
No Matches
janus_videoroom_subscriber_stream Struct Reference
Collaboration diagram for janus_videoroom_subscriber_stream:
[legend]

## Data Fields

janus_videoroom_subscriber * | subscriber
GSList * | publisher_streams
int | mindex
char * | mid
char * | msid
char * | mstid
char * | crossrefid
gboolean | send
janus_videoroom_media | type
janus_audiocodec | acodec
janus_videocodec | vcodec
char * | h264_profile
char * | vp9_profile
int | pt
gboolean | opusfec
janus_rtp_switching_context | context
janus_rtp_simulcasting_context | sim_context
janus_vp8_simulcast_context | vp8_context
int | spatial_layer
int | target_spatial_layer
gint64 | last_spatial_layer [3]
int | temporal_layer
int | target_temporal_layer
int16_t | min_delay
int16_t | max_delay
volatile gint | ready
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## acodec

janus_audiocodec janus_videoroom_subscriber_stream::acodec

## context

janus_rtp_switching_context janus_videoroom_subscriber_stream::context

## crossrefid

char* janus_videoroom_subscriber_stream::crossrefid

## destroyed

volatile gint janus_videoroom_subscriber_stream::destroyed

## h264_profile

char* janus_videoroom_subscriber_stream::h264_profile

## last_spatial_layer

gint64 janus_videoroom_subscriber_stream::last_spatial_layer[3]

## max_delay

int16_t janus_videoroom_subscriber_stream::max_delay

## mid

char* janus_videoroom_subscriber_stream::mid

## min_delay

int16_t janus_videoroom_subscriber_stream::min_delay

## mindex

int janus_videoroom_subscriber_stream::mindex

## msid

char* janus_videoroom_subscriber_stream::msid

## mstid

char * janus_videoroom_subscriber_stream::mstid

## opusfec

gboolean janus_videoroom_subscriber_stream::opusfec

## pt

int janus_videoroom_subscriber_stream::pt

## publisher_streams

GSList* janus_videoroom_subscriber_stream::publisher_streams

## ready

volatile gint janus_videoroom_subscriber_stream::ready

## ref

janus_refcount janus_videoroom_subscriber_stream::ref

## send

gboolean janus_videoroom_subscriber_stream::send

## sim_context

janus_rtp_simulcasting_context janus_videoroom_subscriber_stream::sim_context

## spatial_layer

int janus_videoroom_subscriber_stream::spatial_layer

## subscriber

janus_videoroom_subscriber* janus_videoroom_subscriber_stream::subscriber

## target_spatial_layer

int janus_videoroom_subscriber_stream::target_spatial_layer

## target_temporal_layer

int janus_videoroom_subscriber_stream::target_temporal_layer

## temporal_layer

int janus_videoroom_subscriber_stream::temporal_layer

## type

janus_videoroom_media janus_videoroom_subscriber_stream::type

## vcodec

janus_videocodec janus_videoroom_subscriber_stream::vcodec

## vp8_context

janus_vp8_simulcast_context janus_videoroom_subscriber_stream::vp8_context

## vp9_profile

char* janus_videoroom_subscriber_stream::vp9_profile

The documentation for this struct was generated from the following file:

- janus_videoroom.c